<?xml version="1.0" encoding="iso-8859-1" ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">  
<!--http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd-->  
<html xmlns="http://www.w3.org/1999/xhtml"  
> 
<head><title>The Toolbar of the Unicode Character Table View</title> 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /> 
<meta name="generator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<meta name="originator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<!-- xhtml,4 --> 
<meta name="src" content="textgrid-manual.tex" /> 
<meta name="date" content="2011-07-08 17:44:00" /> 
<link rel="stylesheet" type="text/css" href="textgrid-manual.css" /> 
</head><body 
>
<h4 class="subsectionHead"><span class="titlemark">11.2.1</span>&#x00A0;&#x00A0;<a 
 id="x70-7700011.2.1"></a>The Toolbar of the Unicode Character Table View</h4>
<!--l. 933--><p class="noindent" >The toolbar in the head area offers a selection range of all unicode symbols that is
sorted by association to blocks or scripts. By default, Unicode arranges groups of
characters together in blocks. A script in Unicode is a collection of written signs used to
represent textual information in one or more writing systems. For more information
see
</p><!--l. 935--><p class="noindent" ><a 
href="http://unicode.org/" class="url" ><span 
class="cmtt-10x-x-109">http://unicode.org/</span></a>
</p><!--l. 937--><p class="noindent" >For selecting the block range, press the button <img 
src="font-x-generic.png" alt="PIC" class="graphics" width="20pt" /><!--tex4ht:graphics  
name="textgrid-manual55x.png" src="font-x-generic.eps"  
--> for the &#8220;Toggle Block Mode&#8221; in the
toolbar and choose the intended entry in the combo box on the right-hand side of the
toolbar. For selecting the script sector, press the &#8220;Toggle Script Mode&#8221; button <img 
src="format-justify-fill.png" alt="PIC" class="graphics" width="20t" /><!--tex4ht:graphics  
name="textgrid-manual56x.png" src="format-justify-fill.eps"  
-->
instead.
</p><!--l. 939--><p class="noindent" >To jump to a symbol at a known unicode point, enter the Unicode into the textbox. After
that click &#8220;Filter&#8221; (on Windows) or Enter. As an additional feature, the user can
enter a Unicode symbol into the textbox and the view will jump to its code point,
which is helpful for identifying a symbol or accessing additional information on
it.
</p><!--l. 941--><p class="noindent" >Use <img 
src="character-sum.png" alt="PIC" class="graphics" width="20pt" /><!--tex4ht:graphics  
name="textgrid-manual57x.png" src="character-sum.eps"  
--> to look for mathematical symbols and <img 
src="character-note.png" alt="PIC" class="graphics" width="20pt" /><!--tex4ht:graphics  
name="textgrid-manual58x.png" src="character-note.eps"  
--> to look for musical
symbols.
</p><!--l. 943--><p class="noindent" >After you have opened the view menu of the Unicode Character Table View you can open
                                                                                

                                                                                
the mathematical and musical symbols in the same manner. You can also initialize
the &#8220;Custom Charset Editor&#8221; for creating and modifying user-defined character
sets.
</p>
<hr class="figure" /><div class="figure" 
>
                                                                                

                                                                                
<a 
 id="x70-770012"></a>
                                                                                

                                                                                
<!--l. 947--><p class="noindent" ><img 
src="uct-charseteditor-wizard.png" alt="PIC" class="graphics" /><!--tex4ht:graphics  
name="textgrid-manual59x.png" src="uct-charseteditor-wizard.eps"  
-->
<br /> </p><div class="caption"><table class="caption" 
><tr style="vertical-align:baseline;" class="caption"><td class="id">Figure&#x00A0;11.2: </td><td  
class="content">Custom Charset Editor</td></tr></table></div><!--tex4ht:label?: x70-770012 -->
                                                                                

                                                                                
</div><hr class="endfigure" />
<!--l. 953--><p class="noindent" >This editor shows a list of currently existing character sets in the head area. The body area
contains a toolbar for inserting, deleting and saving the character sets. The footer area
displays the values of the currently selected character set and allows its modifications
(<a 
href="#x70-770012">11.2<!--tex4ht:ref: fig:custom-charset-editor --></a>).
</p><!--l. 955--><p class="noindent" >Click the &#8220;+&#8221; button to create a new set. To remove a set click &#8220;-&#8221; or right-click the set to
remove it from the list. Use the twister arrows to refresh the list. Furthermore you
can save the set outside TextGrid and import external sets by using <img 
src="document-save-as.png" alt="PIC" class="graphics" width="20pt" /><!--tex4ht:graphics  
name="textgrid-manual60x.png" src="document-save-as.eps"  
--> or
<img 
src="document-open.png" alt="PIC" class="graphics" width="20pt" /><!--tex4ht:graphics  
name="textgrid-manual61x.png" src="document-open.eps"  
-->.
</p><!--l. 957--><p class="noindent" >The name and icon of the character set can be changed as well as the content, which consists
of either a predefined unicode blockset or a custom list of unicode characters. These characters
can be entered either as a decimal unicode character codepoint (e.g. &#8220;56789&#8221;), as a unicode
hexadecimal codepoint with a leading sign (e.g. &#8220;U+1D100&#8221;) or as a directly inserted symbol
from the system clipboard. The selected signs have to be separated by semicolons. Click
&#8220;Close&#8221; to save the charset.
                                                                                

                                                                                
</p>

<!--l. 959--><p class="noindent" ><a 
 id="tailtextgrid-manualsu18.html"></a> </p> 
</body></html> 
